namespace Brizco.Domain.CommandQueries.Queries;

public sealed record GetRoutinesQuery(int Page = 0) :
    IRequest<List<RoutineSDto>>;

public sealed record GetRoutineQuery(Guid Id) :
    IRequest<RoutineSDto>;

public sealed record GetRoutineShiftsQuery(Guid Id,long SelectedDate):
    IRequest<List<RoutineShiftResponseDto>>;